aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--main/dosfstools/APKBUILD10
1 files changed, 6 insertions, 4 deletions
diff --git a/main/dosfstools/APKBUILD b/main/dosfstools/APKBUILD
index 71d4468e38..817359b44c 100644
--- a/main/dosfstools/APKBUILD
+++ b/main/dosfstools/APKBUILD
@@ -1,19 +1,19 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=dosfstools
-pkgver=3.0.13
+pkgver=3.0.15
pkgrel=0
pkgdesc="DOS filesystem utilities"
url="http://www.daniel-baumann.ch/software/dosfstools/"
arch="all"
license="GPL-2"
depends=
-makedepends=""
+makedepends="libiconv-dev"
subpackages="$pkgname-doc"
source="http://ftp.de.debian.org/debian/pool/main/d/$pkgname/${pkgname}_${pkgver}.orig.tar.xz"
build() {
cd "$srcdir"/$pkgname-$pkgver
- make || return 1
+ make OPTFLAGS="$CFLAGS" LDFLAGS="-liconv $LDFLAGS" || return 1
}
package() {
@@ -23,4 +23,6 @@ package() {
DOCDIR="$pkgdir"/usr/share/doc \
install
}
-md5sums="c1d851e3fc065a935c7cf919545d239f dosfstools_3.0.13.orig.tar.xz"
+md5sums="64d2020bd8e92105dfad30feee72a3ec dosfstools_3.0.15.orig.tar.xz"
+sha256sums="bbbeabd630f20c9d10592b2cc974926b15e8e010e29d49f308d5464528e2dfc1 dosfstools_3.0.15.orig.tar.xz"
+sha512sums="3b18601cfbea254c2f650f1b65caf08d4bcc8a08c6812802898afed93e70652f7cd2d93a5e83d836ffe2f5563b5c067c784dddd7fdd643879143a3c7d00e296d dosfstools_3.0.15.orig.tar.xz"